using System;
using System.Collections.Generic;
using System.Text;

namespace EAP
{
    public interface SIMFunctions
    {
        bool ValidateIMSI(byte[] imsi);
        byte[] GetRANDs(byte[] imsi, int i, out byte[] sres, out byte[] Kc);
        bool CalculateSRES(byte[] rands, out byte[] sres, out byte[] Kc);
        byte[] GetMasterKey(byte[] imsi, byte[] kc, byte[] nonce, short[] verList, short selectedVersion);
    }
}
